<?php
  session_start();
  //error_reporting(E_ALL);
  error_reporting(0);
  ob_start();
	
  define('__ROOT__', dirname(dirname(__FILE__))); 
 // require_once(__ROOT__.'\siga\html\ClsGeneradorHtml.class.php'); 
 // require_once(__ROOT__.'\siga\Connections\dbms.class.php');
 // require_once(__ROOT__.'\siga\Connections\dbmy.class.php');

   require_once('html/ClsGeneradorHtml.class.php'); 
   require_once('Connections/dbms.class.php');
   require_once('Connections/dbmy.class.php');
	
	extract ($_POST); ///EXTRAE VARIABLES DE POST A VARIABLES SIMPLES CON EL MISMO NOMBRE
	extract ($_GET);

	function celda($letrai,$posi,$letraf,$posf,$valor,$hojaActiva,$tamano,$negrita){
			$hojaActiva->mergeCells($letrai.$posi.':'.$letraf.$posf);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setWrapText(true);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getBorders()->getOutline()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
			$hojaActiva->setCellValue($letrai.$posi,utf8_decode($valor));
			$hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getFont()->setBold($negrita)->setSize($tamano);

																
	}
	function celda1($letrai,$posi,$letraf,$posf,$valor,$hojaActiva,$tamano,$negrita){
			$hojaActiva->mergeCells($letrai.$posi.':'.$letraf.$posf);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setWrapText(true);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getBorders()->getOutline()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
			$hojaActiva->setCellValue($letrai.$posi,$valor);
			$hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getFont()->setBold($negrita)->setSize($tamano);

																
	}
	
	if (!empty($cmdImprimir)){
		
			//require_once (__ROOT__.'\siga\phpexcel\Classes\PHPExcel\IOFactory.php');
			require_once ('phpexcel/Classes/PHPExcel/IOFactory.php');
         $objPHPExcel = PHPExcel_IOFactory::load("impresion_nomina.xls");	

			$hojaActiva=$objPHPExcel->setActiveSheetIndex(0);
			$bd =new dbms('mysql','no');
	    
			$codigo_nomina=$_GET["codigo_nomina"];
			
			$hojaActiva->setCellValue('J1','Reporte de Becas Institucional');
			$posinicial = 9;
			$posifinal=9;	
			$sql = " SELECT a.cod_nomina,a.cedula,concat(b.nombres,' ',b.apellidos) as nombres ,a.cuenta,a.monto 
					FROM `nomina_detalle` a inner join alumnos b on a.cedula = b.cedula 
					where a.cod_nomina = ".$codigo_nomina." and cuenta !=0 order by a.cedula asc";					 
			$bd->EjecutarQuery($sql);
			$datadocumento=$bd->DatosArray();
			$i=1;
			if (($bd->count()) > 0){					
				foreach($datadocumento as $clave=>$registro){
					celda1('A',$posinicial,'A',$posifinal,$i,$hojaActiva,8,false);
					celda1('B',$posinicial,'C',$posifinal,$datadocumento[$clave]['cedula'],$hojaActiva,8,false);
					celda1('J',$posinicial,'M',$posifinal,$datadocumento[$clave]['nombres'],$hojaActiva,8,false);
					celda1('N',$posinicial,'O',$posifinal,'"'.$datadocumento[$clave]['cuenta'].'"',$hojaActiva,8,false);
					celda1('AH',$posinicial,'AO',$posifinal,$datadocumento[$clave]['monto'],$hojaActiva,8,false);
					$monto += $datadocumento[$clave]['monto'];
					$posinicial=$posifinal+1;
					$posifinal=$posifinal+1;
					$i++;
				}
					
			}
			$posifinal=$posifinal+1;
			celda('AH',$posinicial,'AO',$posifinal,$monto,$hojaActiva,8,false);
								
 
									
					
			//ob_get_flush();
				ob_end_clean();
    
    
    
					// Redirect output to a clients web browser (Excel5)
					header('Content-Type: application/vnd.ms-excel;charset=utf-8');
					header('Content-Disposition: attachment;filename="nomina_becados.xls"');
					header('Cache-Control: max-age=0');

					$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
					///$objWriter->save('./pdf_files/ICR_'.$mes.'-'.$ano.'.xls');
					$objWriter->save('php://output');
	}else{	

		$ClsGeneradorHtml=new ClsGeneradorHtml("","");
		$forma= $ClsGeneradorHtml->Pagina_Top("Registro de Información del Alumno","",$script);
		echo $forma;
		echo $ClsGeneradorHtml->Pagina_Inicio_Body();
		 echo "<FORM  method='POST' name='frmcerrar' target='_self' title='Cerrar'>
					<center>
						 <INPUT TYPE='SUBMIT'  name='cmdImprimir' value='Imprimir' align='middle'   title='Generar' >
						<INPUT TYPE='SUBMIT'   name='cmdCerrar' value='Cerrar' align='middle'  onClick='window.close();' title='Cerrar' >
			  </center>
			 </FORM>";	
		echo $ClsGeneradorHtml->Pagina_Fin_Body();
		echo $ClsGeneradorHtml->Pagina_Fin_Html();
	
	}		
?>
